Package org.apache.commons.compress.harmony.pack200

# Class AttributeDefinitionBands

java.lang.Object
org.apache.commons.compress.harmony.pack200.BandSet
org.apache.commons.compress.harmony.pack200.AttributeDefinitionBands

public class AttributeDefinitionBands extends BandSet
Attribute Definition bands define how any unknown attributes should be read by the decompressor.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AttributeDefinitionBands.AttributeDefinition`

  ## Nested classes/interfaces inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `BandSet.BandAnalysisResults, BandSet.BandData`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONTEXT_CLASS`
  0
  `static final int`
  `CONTEXT_CODE`
  3
  `static final int`
  `CONTEXT_FIELD`
  1
  `static final int`
  `CONTEXT_METHOD`
  2

  ### Fields inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `segmentHeader`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeDefinitionBands(Segment segment, int effort, org.objectweb.asm.Attribute[] attributePrototypes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `finaliseBands()`
  All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.
  `List<AttributeDefinitionBands.AttributeDefinition>`
  `getClassAttributeLayouts()`
  `List<AttributeDefinitionBands.AttributeDefinition>`
  `getCodeAttributeLayouts()`
  `List<AttributeDefinitionBands.AttributeDefinition>`
  `getFieldAttributeLayouts()`
  `List<AttributeDefinitionBands.AttributeDefinition>`
  `getMethodAttributeLayouts()`
  `void`
  `pack(OutputStream out)`
  Write the packed set of bands to the given output stream

  ### Methods inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `cpEntryListToArray, cpEntryOrNullListToArray, encodeBandInt, encodeFlags, encodeFlags, encodeScalar, encodeScalar, integerListToArray, longListToArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTEXT_CLASS

    public static final int CONTEXT_CLASS
    0
    See Also:
      - Constant Field Values

  - ### CONTEXT_CODE

    public static final int CONTEXT_CODE
    3
    See Also:
      - Constant Field Values

  - ### CONTEXT_FIELD

    public static final int CONTEXT_FIELD
    1
    See Also:
      - Constant Field Values

  - ### CONTEXT_METHOD

    public static final int CONTEXT_METHOD
    2
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AttributeDefinitionBands

    public AttributeDefinitionBands(Segment segment, int effort, org.objectweb.asm.Attribute[] attributePrototypes)

- ## Method Details

  - ### finaliseBands

    public void finaliseBands()
    All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.

  - ### getClassAttributeLayouts

    public List<AttributeDefinitionBands.AttributeDefinition> getClassAttributeLayouts()

  - ### getCodeAttributeLayouts

    public List<AttributeDefinitionBands.AttributeDefinition> getCodeAttributeLayouts()

  - ### getFieldAttributeLayouts

    public List<AttributeDefinitionBands.AttributeDefinition> getFieldAttributeLayouts()

  - ### getMethodAttributeLayouts

    public List<AttributeDefinitionBands.AttributeDefinition> getMethodAttributeLayouts()

  - ### pack

    public void pack(OutputStream out) throws IOException, Pack200Exception
    Description copied from class: `BandSet`
    Write the packed set of bands to the given output stream
    Specified by:
      `pack` in class `BandSet`
    Parameters:
      `out` - TODO
    Throws:
      `IOException` - If an I/O error occurs.
      `Pack200Exception` - TODO